org.apache.mina.core.session

## Class IdleStatusChecker.NotifyingTask

- java.lang.Object
- - org.apache.mina.core.session.IdleStatusChecker.NotifyingTask

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    IdleStatusChecker

      public class IdleStatusChecker.NotifyingTask
      extends Object
      implements Runnable

  The class to place in the transport executor for checking the sessions idle

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` stop execution of the task
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### cancel

          public void cancel()

      stop execution of the task

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.